# dmd.dimport

A `Dsymbol` representing a renamed import.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: dimport.d

Documentation: https://dlang.org/phobos/dmd_dimport.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/dimport.d

- `Import`

  #### Declaration

  `class `Import`: dmd.dsymbol.Dsymbol;`

  - `load`

    #### Declaration

    `bool `load`(Scope* `sc`);`

    Load this module.

    #### Return Value

    `true` for errors, `false` for success

  - `addPackageAccess`

    #### Declaration

    `void `addPackageAccess`(ScopeDsymbol `scopesym`);`

    Mark the imported packages as accessible from the current scope. This access check is necessary when using FQN b/c we're using a single global package tree. https://issues.dlang.org/show_bug.cgi?id=313

  - `addMember`

    #### Declaration

    `void `addMember`(Scope* `sc`, ScopeDsymbol `sd`);`

    Add import to `sd`'s symbol table.